File apache-20-22-upgrade of Package Apache2

#!/bin/bash

# obsolete 2.0 modules -> 2.2 modules

echo 'looking for old 2.0 modules to be renamed...'

if a2enmod -q auth; then
	echo 'auth -> auth_basic authn_file'

	a2dismod auth 
	a2enmod auth_basic 
	a2enmod authn_file
	a2enmod authz_groupfile
	a2enmod authz_default
	a2enmod authz_user
	cat <<-EOF
	
	
	!!!ATTENTION!!!
	
	If you use basic authentication, you will need to update your
	configuration. Typically, you need to add
	     AuthBasicProvider file
	(example for file-based authentication) below "AuthType Basic".
	
	!!!ATTENTION!!!
	
	
	EOF

fi

if a2enmod -q access; then
	echo 'access -> authz_host'
	a2dismod access 
	a2enmod authz_host 
fi

if a2enmod -q auth_dbm; then
	echo 'auth_dbm -> authn_dbm'
	a2dismod auth_dbm
	a2enmod authn_dbm
fi

if a2enmod -q imap; then
	echo 'imap -> imagemap'
	a2dismod imap
	a2enmod imagemap
fi

if a2enmod -q image_map; then
	echo 'image_map -> imagemap'
	a2dismod image_map
	a2enmod imagemap
fi

if a2enmod -q auth_ldap; then
	echo 'auth_ldap -> mod_authnz_ldap'
	a2dismod auth_ldap
	a2enmod mod_authnz_ldap
fi

for module in mod_authn_default mod_authz_default mod_mem_cache authz_default; do
	if a2enmod -q "$module"; then
	echo "!!ATTENTION! $module was removed from apache version 2.4 or later, CHECK YOUR CONFIGURATION!!!"
	a2dismod "$module"
	fi
done

if ! a2enmod -q authn_core; then
  a2enmod authn_core
fi

if ! a2enmod -q authz_core; then
  a2enmod authz_core
fi

if ! a2enmod -q log_config; then
  a2enmod log_config
fi

echo 'Done.'